/*
 * File name: TextIO.java
 * Date:      2014/08/26 21:45
 * Author:    @author
 */

package cz.cvut.fel.pr1;

import java.io.FileNotFoundException;
import java.io.FileReader;
import java.util.Scanner;

public class TextIO {

    public static boolean isInteger(String s) {
        boolean ret = true;
        try {
            Integer.parseInt(s);
        } catch (NumberFormatException e) {
            ret = false;

        }
        return ret;
    }

    public static boolean isFloat(String s) {
        boolean ret = true;
        try {
            Float.parseFloat(s);
        } catch (NumberFormatException e) {
            ret = false;
        }
        return ret;
    }

    public static boolean isDouble(String s) {
        boolean ret = true;
        try {
            Double.parseDouble(s);
        } catch (NumberFormatException e) {
            ret = false;
        }
        return ret;
    }

    private final Scanner in;

    public TextIO() {
        in = new Scanner(System.in);
    }

    public TextIO(String filename) {
        Scanner scanner;
        try {
            scanner = new Scanner(new FileReader(filename));
        } catch (FileNotFoundException e) {
            System.err.println("File '" + filename + "' not found, System.in is used instead");
            scanner = new Scanner(System.in);
        }
        in = scanner;
    }

    public String getLine() {
        return in.hasNext() ? in.nextLine() : "";
    }

}